%define name	newpg
%define version 0.9.4
%define release 2mdk

Summary: 	Temporary project to work on GnuPG extensions
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Url: 		http://www.gnupg.org/
BuildRequires:	libgcrypt >= 1.1.10
BuildRequires:	libgcrypt-devel
BuildRequires:	libksba >= 0.4.6
BuildRequires:	libpth14-devel

%description 
NewPG is a temporary project to work on GnuPG extensions.
It will be merged into the regular GnuPG sources someday.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -fv $RPM_BUILD_ROOT%{_datadir}/info/dir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
%_install_info %name.info

%postun 
/sbin/ldconfig
%_remove_install_info %name.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%{_bindir}/*
%{_libdir}/newpg
%{_infodir}/*.info*

%changelog
* Fri Aug 15 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.4-2mdk
- fix directory ownership
- spec cleanup
- no explicit requires
- bzipped source
- used %%find-lang macro

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-1mdk
- Update from Fabrice MARIE <fabrice-marie-sec@ifrance.com> 

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.2-1mdk
- first package

